Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global enable_tests 1
%global srcname zip-stream

%global commit0 a960366cb949dc613996ee2da6ccdd7509a808d4
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})
%global owner ctalkington

Name:           nodejs-%{srcname}
Version:        0.7.0
Release:        alt1_9
Summary:        A streaming zip archive generator
License:        MIT
URL:            https://github.com/ctalkington/node-zip-stream
Source0:        https://github.com/%{owner}/node-%{srcname}/archive/%{commit0}.tar.gz#/%{srcname}-%{shortcommit0}.tar.gz

BuildArch:      noarch

BuildRequires:  rpm-build-nodejs node-devel
BuildRequires:  dos2unix

%if 0%{?enable_tests}
BuildRequires:  npm(readable-stream)
BuildRequires:  npm(chai)
BuildRequires:  npm(mocha)
BuildRequires:  npm(rimraf)
BuildRequires:  npm(mkdirp)
BuildRequires:  npm(compress-commons)
BuildRequires:  npm(lodash)
%endif
Source44: import.info


%description
zip-stream is a streaming zip archive generator based on the 
ZipArchiveOutputStream prototype found in the compress-commons project.


%prep
%setup -qn node-%{srcname}-%{commit0}
rm -rf node_modules/
dos2unix README.md LICENSE
%nodejs_fixdep readable-stream "^2.0.0"
%nodejs_fixdep lodash "^3.10.1"


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}
cp -pr package.json lib/ %{buildroot}%{nodejs_sitelib}/%{srcname}

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
mocha --reporter dot
%endif


%files
%doc README.md
%doc --no-dereference LICENSE
%{nodejs_sitelib}/%{srcname}


%changelog
* Fri Apr 12 2019 Igor Vlasenko <viy@altlinux.ru> 0.7.0-alt1_9
- new version

